Re: Building Abiword 2.0 from source on Solaris without Gnome

From: Pete Young (
Date: Fri Oct 03 2003 - 11:23:31 EDT

  • Next message: Pete Young: "Re: Building Abiword 2.0 from source on Solaris without Gnome"

    Hubert Figuiere wrote:

    > ./configure by default don't require GNOME. You need to explicitly
    > --enable-gnome.

    Thanks for that . In that case I'll try and explicitly disable it
    and see what happens.

    > But, you still require gmodule-2.0, fontconfig, libglade along with
    > GTK2.

    OK. libglade and gmodule are no problem.

    fontconfig seems to be broken on Solaris 8 and possibly elsewhere. It
    seems to rely on type definitions in header files that are present in
    linux in /usr/include/freetype2/freetype/fttypes.h . I just build
    freetype-1.3.1 and that seemed to install OK.

    > libxml2 is also required unless you use expat (we recommend libxml2)

    I like libxml2. Unfortunately fontconfig doesnt: it seems to require

    Thanks to everyone for the assistance.



       Pete Young        Phone +44 1473 642740
           "Just another crouton, floating on the bouillabaisse of life"

    ----------------------------------------------- To unsubscribe from this list, send a message to with the word unsubscribe in the message body.

    This archive was generated by hypermail 2.1.4 : Fri Oct 03 2003 - 11:39:26 EDT